Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryPackageReferenceAstVisitor

- groovy.org.codenarc.rule.unnecessary.UnnecessaryPackageReferenceAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitCastExpression(org.codehaus.groovy.ast.expr.CastExpression expression)`
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitClassExpression(org.codehaus.groovy.ast.expr.ClassExpression expression)`
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)`
    `` | `void` | `visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression node)`
    `` | `void` | `visitField(org.codehaus.groovy.ast.FieldNode node)`
    `` | `void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode node)`
    `` | `void` | `visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)`
    `` | `void` | `visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)`

- - ### Method Detail

    - #### @Override void visitCastExpression(org.codehaus.groovy.ast.expr.CastExpression expression)

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitClassExpression(org.codehaus.groovy.ast.expr.ClassExpression expression)

    - #### @Override void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)

    - #### @Override void visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression node)

    - #### @Override void visitField(org.codehaus.groovy.ast.FieldNode node)

    - #### @Override void visitMethodEx(org.codehaus.groovy.ast.MethodNode node)

    - #### @Override void visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)

    - #### @Override void visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)